libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
pqxx::prepare::internal::prepared_def Struct Reference

Internal representation of a prepared statement definition. More...

`#include <prepared_statement.hxx>`

## Public Member Functions

| prepared_def ()
| prepared_def (const std::string &)

## Public Attributes

std::string | definition
| Text of prepared query.
bool | registered
| Has this prepared statement been prepared in the current session?

## Detailed Description

Internal representation of a prepared statement definition.

## Constructor & Destructor Documentation

pqxx::prepare::internal::prepared_def::prepared_def | ( |  | ) |

pqxx::prepare::internal::prepared_def::prepared_def | ( | const std::string & | def | ) |

explicit

## Member Data Documentation

std::string pqxx::prepare::internal::prepared_def::definition

Text of prepared query.

bool pqxx::prepare::internal::prepared_def::registered

Has this prepared statement been prepared in the current session?

The documentation for this struct was generated from the following files:

- prepared_statement.hxx
- prepared_statement.cxx